--
-- SecBus ( http://secbus.telecom-paristech.fr/ ) - This file is part of SecBus
-- Copyright (C) 2009-2015 - Telecom ParisTech
-- Contacts: contact-secbus@telecom-paristech.fr
--
-- This file must be used under the terms of the CeCILL.
-- This source file is licensed as described in the file COPYING, which
-- you should have received as part of this distribution. The terms
-- are also available at
-- http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
--

package global is 

  function log2_up(x : natural) return natural;

end package global;

package body global is

 function log2_up(x : natural) return natural is
 begin
      if x <= 1 then 
         return 0;
      else
         return log2_up((x+1)/2) + 1;
      end if;
 end function;

end package body global;
